### Method

# Pango Layout set_line_spacing

since: 1.44

#### Declaration [src]

    void
    pango_layout_set_line_spacing (
      PangoLayout* layout,
      float factor
    )

#### Description [src]

Sets a factor for line spacing.

Typical values are: 0, 1, 1.5, 2. The default values is 0.

If `factor` is non-zero, lines are placed so that

    baseline2 = baseline1 + factor * height2

where height2 is the line height of the second line (as determined by the font(s)). In this case, the spacing set with `pango_layout_set_spacing()` is ignored.

If `factor` is zero (the default), spacing is applied as before.

Note: for semantics that are closer to the CSS line-height property, see `pango_attr_line_height_new()`.

Available since: 1.44

#### Parameters

`factor`

  Type: `float`

  The new line spacing factor.